package com.apifon.sdk.model;

import com.google.gson.annotations.SerializedName;

/**
 * IMAction class represents an actions Property in an IM_Channel.
 */
public class IMAction {

    private String title;
    @SerializedName("target_url")
    private String targetUrl;

    /**
     * Returns the Title Parameter.
     *
     * @return the title.
     */
    public String getTitle() {
        return title;
    }

    /**
     * Sets the Title Parameter.
     *
     * @param title the title to set.
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * Returns the TargetUrl Parameter.
     *
     * @return the targetUrl.
     */
    public String getTargetUrl() {
        return targetUrl;
    }

    /**
     * Sets the TargetUrl Parameter.
     *
     * @param targetUrl the targetUrl to set.
     */
    public void setTargetUrl(String targetUrl) {
        this.targetUrl = targetUrl;
    }
}
