/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.apifon.sdk.model;

/**
 * Class containing links (URLs) produced by API response pagination.
 * @author Apifon
 */
public class PagingLinks {
    
    private String prev;
    private String next;
    private String first;
    private String last;

    /**
     * @return Link to the previous page of results. May be empty.
     */
    public String getPrev() {
        return prev;
    }

    /**
     * @return Link to the next page of results. May be empty.
     */
    public String getNext() {
        return next;
    }

    /**
     * @return Link to the first page of results. May be empty.
     */
    public String getFirst() {
        return first;
    }

     /**
     * @return Link to the first last of results. May be empty.
     */
    public String getLast() {
        return last;
    }

}
