/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.apifon.sdk.resource.helpers;

/**
 * The type of the list. This directly influences the features supported by the list.
 * @author Apifon
 */
public enum ListType {
    /**
     * A list that supports multichannel subscriber destinations (Mobile &amp; Email), 
     * GDPR compliance features, Forms &amp; Landing Pages etc
     */
    ADVANCED,
    /**
     * A basic list with mobile destinations.
     * @deprecated Marked for removal, please use {@link #ADVANCED} instead.<br>
     * <b>NOTE</b> Attempting to create a list with this type<br>
     * will create a list with {@link #ADVANCED} type instead.
     */
    @Deprecated
    MOBILE;

}
