/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.apifon.sdk.resource.helpers;

/**
 *
 * @author Apifon
 */
public enum OpenIDScope {

    ACCOUNT_INFO("accountInfo"),
    OPEN_ID("openid"),
    READ_LANDING("readLanding"),
    READ_LIST("readList"),
    WRITE_LIST("writeList"),
    READ_SUBSCRIBER("readSubscriber"),
    WRITE_SUBSCRIBER("writeSubscriber"),
    SMS_GATEWAY("smsGateway"),
    IM_GATEWAY("imGateway"),
    OTP_GATEWAY("otpGateway");

    private final String scopeValue;

    private OpenIDScope(String scopeValue) {
        this.scopeValue = scopeValue;
    }

    public String getScopeValue() {
        return this.scopeValue;
    }
}
