/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.apifon.sdk.response;

import com.apifon.sdk.model.SingleResponse;
import com.apifon.sdk.resource.helpers.BounceReason;
import com.apifon.sdk.resource.helpers.BounceType;
import com.apifon.sdk.serializer.BounceReasonAdapter;
import com.apifon.sdk.serializer.DateAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;
import java.util.Date;

/**
 *
 * @author Apifon
 */
public class BounceResponse extends SingleResponse {

    /**
     *
     */
    public String destination;

    /**
     *
     */
    public BounceType type;

    /**
     *
     */
    @JsonAdapter(BounceReasonAdapter.class)
    public BounceReason reason;

    /**
     *
     */
    @JsonAdapter(DateAdapter.class)
    @SerializedName("date_created")
    public Date dateCr;

    /**
     *
     */
    public String user;

    /**
     *
     */
    public String description;

    /**
     *
     * @return
     */
    public String getDestination() {
        return destination;
    }

    /**
     *
     * @param destination
     */
    public void setDestination(String destination) {
        this.destination = destination;
    }

    /**
     *
     * @return
     */
    public BounceType getType() {
        return type;
    }

    /**
     *
     * @param type
     */
    public void setType(BounceType type) {
        this.type = type;
    }

    /**
     *
     * @return
     */
    public BounceReason getReason() {
        return reason;
    }

    /**
     *
     * @param reason
     */
    public void setReason(BounceReason reason) {
        this.reason = reason;
    }

    /**
     *
     * @return
     */
    public Date getDateCr() {
        return dateCr;
    }

    /**
     *
     * @param dateCr
     */
    public void setDateCr(Date dateCr) {
        this.dateCr = dateCr;
    }

    /**
     *
     * @return
     */
    public String getUser() {
        return user;
    }

    /**
     *
     * @param user
     */
    public void setUser(String user) {
        this.user = user;
    }

    /**
     *
     * @return
     */
    public String getDescription() {
        return description;
    }

    /**
     *
     * @param description
     */
    public void setDescription(String description) {
        this.description = description;
    }
}
