/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.apifon.sdk.response;

/**
 * A model of the GDPR Field entity.
 *
 * @author Apifon
 */
public class GdprFieldResponse {

    private String name;
    private String description;
    private String field;
    private boolean mobile;
    private boolean email;

    /**
     * Returns the name of the gdpr field.
     *
     * @return
     */
    public String getName() {
        return name;
    }

    /**
     * Returns the description of the gdpr field.
     *
     * @return
     */
    public String getDescription() {
        return description;
    }

    /**
     * Returns the field value of the gdpr field.<br>
     * <b>Note: This is used as a UNIQUE field identifier through the REST API</b>
     * @return
     */
    public String getField() {
        return field;
    }

    /**
     * Returns whether or not this GDPR Field is enabled for mobile destinations.
     * @return 
     */
    public boolean isMobile() {
        return mobile;
    }

    /**
     * Returns whether or not this GDPR Field is enabled for email destinations.
     * @return 
     */
    public boolean isEmail() {
        return email;
    }

}
