/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.apifon.sdk.response;
import com.google.gson.annotations.SerializedName;



/**
 * A model representing an error response for an access token request that is invalid.
 * @author Apifon
 */


public class OauthTokenErrorResponse {
    
    /**
     * A short human readable general information about the error.
     */
    @SerializedName("error")
    public String error;
    
    /**
     * A short human readable general information that gives more information about  the error.
     */
     @SerializedName("error_description")
    public String error_description;
    
         
     /**
     * The status of the response. Matches the HTTP Status code of the response.
     */ 
     @SerializedName("status") 
    public int status;
    
    
    
     /**
     * A short human readable general information about the error.
     * @return 
     */
    public String getError() {
        return error;
    }
    
     /**
     * A short human readable general information that gives more information about the error.
     * @return 
     */
    public String getErrorDescription() {
        return error_description;
    }
    
    /**
     * The status of the response. Matches the HTTP Status code of the response.
     * @return 
     */
    public int getStatus() {
        return status;
    }
    
}
