package com.apifon.sdk.response;

import com.google.gson.annotations.SerializedName;

/**
 * OtpVerifyResponse class is the Response we get when we send OTP Verification Request.
 */
public class OtpVerifyResponse {

    @SerializedName("request_id")
    private String requestId;
    @SerializedName("result_info")
    private ResultInfo resultInfo;

    /**
     * Returns the requestId of the Request.
     *
     * @return the requestId.
     */
    public String getRequestId() {
        return requestId;
    }
    
    /**
     * Returns the resultInfo of the Request.
     *
     * @return the resultInfo.
     */
    public ResultInfo getResultInfo() {
        return resultInfo;
    }
}
