package com.apifon.sdk.response;

import com.google.gson.annotations.SerializedName;

/**
 * ResultInfo class represents the result_info Property in an SMS or IM
 * Response.
 */
public class ResultInfo {

    @SerializedName("status_code")
    private int statusCode;
    private String description;

    /**
     * Returns the statusCode of the Request.
     *
     * @return the statusCode.
     */
    public int getStatusCode() {
        return statusCode;
    }

    /**
     * Returns the description of the Request.
     *
     * @return the description.
     */
    public String getDescription() {
        return description;
    }
}
