package com.apifon.sdk.model;

import com.google.gson.annotations.SerializedName;

/**
 * MessageContent class represents a message Property in an SMS Request.
 */
public class MessageContent {

    private String text;
    private Integer dc;
    @SerializedName("sender_id")
    private String senderId;

    /**
     * Returns the text Parameter.
     *
     * @return the text.
     */
    public String getText() {
        return text;
    }

    /**
     * Sets the text Parameter.
     *
     * @param text the text to set.
     */
    public void setText(String text) {
        this.text = text;
    }

    /**
     * Returns the DC Parameter.
     *
     * @return the DC.
     */
    public int getDc() {
        return dc;
    }

    /**
     * Sets the DC Parameter.
     *
     * @param dc the DC to set.
     */
    public void setDc(int dc) {
        this.dc = dc;
    }

    /**
     * Returns the senderId Parameter.
     *
     * @return the senderId.
     */
    public String getSenderId() {
        return senderId;
    }

    /**
     * Sets the senderId Parameter.
     *
     * @param senderId the senderId to set.
     */
    public void setSenderId(String senderId) {
        this.senderId = senderId;
    }
}
