/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.apifon.sdk.model;

import com.apifon.sdk.resource.helpers.SortDirection;
import com.google.gson.annotations.SerializedName;

/**
 *
 * @author Apifon
 */
public class Sort {

    @SerializedName("sort_dir")
    public final SortDirection sortDirection;
    @SerializedName("sort_field")
    public final String sortField;
    
    public static Sort getDefaultSort() {
        return new Sort(SortDirection.ASC, "id");
    }
    
    public Sort(SortDirection sortDirection, String sortField) {
        this.sortDirection = sortDirection;
        this.sortField = sortField;
    }

    public SortDirection getSortDirection() {
        return sortDirection;
    }

    public String getSortField() {
        return sortField;
    }
}
