package com.apifon.sdk.response;

import com.apifon.sdk.resource.helpers.GroupOptionsOrientation;
import com.apifon.sdk.resource.helpers.GroupType;
import com.apifon.sdk.resource.helpers.SelectionType;

import java.util.List;

public class GroupResponse {

    private String name;
    private String field;
    private GroupType type;
    private boolean internal;
    private SelectionType selectionType;
    private GroupOptionsOrientation groupOptionsOrientation;
    private boolean formHidden;
    private List<SubgroupResponse> options;

    public String getName() {
        return name;
    }

    public String getField() {
        return field;
    }

    public List<SubgroupResponse> getOptions() {
        return options;
    }

    public GroupType getType() {
        return type;
    }

    public boolean isInternal() {
        return internal;
    }

    public SelectionType getSelectionType() {
        return selectionType;
    }

    public GroupOptionsOrientation getGroupOptionsOrientation() {
        return groupOptionsOrientation;
    }

    public boolean isFormHidden() {
        return formHidden;
    }
}
