/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.apifon.sdk.response;

import com.apifon.sdk.model.SingleResponse;
import com.apifon.sdk.model.SubscriberGdprField;
import com.apifon.sdk.resource.helpers.SubscriberStatus;
import com.apifon.sdk.serializer.DateAdapter;
import com.google.gson.annotations.JsonAdapter;
import com.google.gson.annotations.SerializedName;

import java.util.ArrayList;
import java.util.Date;
import java.util.Map;

/**
 *
 * @author Apifon
 */
public class SubscriberResponse extends SingleResponse {

    private String id;
    @SerializedName("account_id")
    private Long accountId;
    private String destination;
    @SerializedName("destination_id")
    private String destinationId;
    @SerializedName("email_id")
    private String emailId;
    private String email;
    @SerializedName("date_created")
    @JsonAdapter(DateAdapter.class)
    private Date dateCreated;
    @SerializedName("date_updated")
    @JsonAdapter(DateAdapter.class)
    private Date dateUpdated;
    @SerializedName("list_id")
    private String listId;
    private SubscriberStatus status;
    @SerializedName("email_status")
    private SubscriberStatus emailStatus;
    @SerializedName("gdpr_fields")
    private Map<String, SubscriberGdprField> gdprFields;
    @SerializedName("subscriber_fields")
    private Map<String, Object> subscriberFields;
    private ArrayList<String> groupOptions;

    public String getId() {
        return id;
    }

    public long getAccountId() {
        return accountId;
    }

    public String getDestination() {
        return destination;
    }

    public String getDestinationId() {
        return destinationId;
    }

    public String getEmailId() {
        return emailId;
    }

    public String getEmail() {
        return email;
    }

    public Date getDateCreated() {
        return dateCreated;
    }

    public Date getDateUpdated() {
        return dateUpdated;
    }

    public String getListId() {
        return listId;
    }

    public SubscriberStatus getStatus() {
        return status;
    }

    public SubscriberStatus getEmailStatus() {
        return emailStatus;
    }

    public Map<String, SubscriberGdprField> getGdprFields() {
        return gdprFields;
    }

    public Map<String, Object> getSubscriberFields() {
        return subscriberFields;
    }

    public void setId(String id) {
        this.id = id;
    }

    public void setAccountId(long accountId) {
        this.accountId = accountId;
    }

    public void setDestination(String destination) {
        this.destination = destination;
    }

    public void setDestinationId(String destinationId) {
        this.destinationId = destinationId;
    }

    public void setEmailId(String emailId) {
        this.emailId = emailId;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public void setDateCreated(Date dateCreated) {
        this.dateCreated = dateCreated;
    }

    public void setDateUpdated(Date dateUpdated) {
        this.dateUpdated = dateUpdated;
    }

    public void setListId(String listId) {
        this.listId = listId;
    }

    public void setStatus(SubscriberStatus status) {
        this.status = status;
    }

    public void setEmailStatus(SubscriberStatus emailStatus) {
        this.emailStatus = emailStatus;
    }

    public void setGdprFields(Map<String, SubscriberGdprField> gdprFields) {
        this.gdprFields = gdprFields;
    }

    public void setSubscriberFields(Map<String, Object> subscriberFields) {
        this.subscriberFields = subscriberFields;
    }

    public ArrayList<String> getGroupOptions() {
        return groupOptions;
    }
}
