/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.apifon.sdk.serializer;

import com.google.gson.TypeAdapter;
import com.google.gson.internal.bind.util.ISO8601Utils;
import com.google.gson.stream.JsonReader;
import com.google.gson.stream.JsonWriter;
import java.io.IOException;
import java.util.Date;

/**
 *
 * @author Apifon
 */
public class DateAdapter extends TypeAdapter<Date> {

    @Override
    public void write(JsonWriter writer, Date value) throws IOException {
        if (value == null) {
            writer.nullValue();
        } else {
            String date = ISO8601Utils.format(value);
            writer.value(date);
        }
    }

    @Override
    public Date read(JsonReader reader) throws IOException {
        return new Date(reader.nextLong());
    }

}
